umbrello: UMLInstanceAttributeDialog Class Reference

umbrello 25.04.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
UMLInstanceAttributeDialog Class Reference

`#include <umlinstanceattributedialog.h>`

Inheritance diagram for UMLInstanceAttributeDialog:

## Public Member Functions
| UMLInstanceAttributeDialog (QWidget *parent, UMLInstanceAttribute *pInstanceAttr)
| ~UMLInstanceAttributeDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Member Functions
bool | apply ()
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Private Attributes
Ui::UMLInstanceAttributeDialog * | ui
UMLInstanceAttribute * | m_pInstanceAttr

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Constructor & Destructor Documentation

## ◆ UMLInstanceAttributeDialog()

UMLInstanceAttributeDialog::UMLInstanceAttributeDialog | ( | QWidget * | parent,
|  | UMLInstanceAttribute * | pInstanceAttr )
| explicit

## ◆ ~UMLInstanceAttributeDialog()

UMLInstanceAttributeDialog::~UMLInstanceAttributeDialog | ( |  | ) |

## Member Function Documentation

## ◆ apply()

bool UMLInstanceAttributeDialog::apply | ( |  | ) |
| protectedvirtual

Apply dialog changes to the related object.

This method could be overridden in derived dialogs to suppport post dialog applying.

Returns
  true apply succeeds
  false apply does not succeed

Reimplemented from SinglePageDialogBase.

## Member Data Documentation

## ◆ m_pInstanceAttr

UMLInstanceAttribute* UMLInstanceAttributeDialog::m_pInstanceAttr
| private

## ◆ ui

Ui::UMLInstanceAttributeDialog* UMLInstanceAttributeDialog::ui
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/umlinstanceattributedialog.h
- umbrello/dialogs/umlinstanceattributedialog.cpp